<div class="box">
    <mat-input-container>
        <input matInput placeholder="Your hero's name" [value]="query" (keyup)="search.emit($event.target.value)">
    </mat-input-container>
    <mat-spinner [class.show]="searching" [diameter]="30" [strokeWidth]="3"></mat-spinner>
</div>
<span class="error" *ngIf="error">{{error}}</span>
